Bulk get metadata by FQN
curl --request POST \
--url https://api.example.com/utils/metadata/get \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Project-ID: <x-project-id>' \
--data '
{
"items": [
{
"resource_uri": "<string>",
"fqn": "<string>"
}
]
}
'import requests
url = "https://api.example.com/utils/metadata/get"
payload = { "items": [
{
"resource_uri": "<string>",
"fqn": "<string>"
}
] }
headers = {
"X-Project-ID": "<x-project-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Project-ID': '<x-project-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({items: [{resource_uri: '<string>', fqn: '<string>'}]})
};
fetch('https://api.example.com/utils/metadata/get', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"name": "<string>",
"fully_qualified_name": "<string>",
"resource_uri": "<string>",
"organization_id": "<string>",
"project_id": "<string>",
"version": "<string>",
"version_major": 123,
"version_minor": 123,
"version_change_reason": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"updated_by": "<string>",
"display_name": "<string>",
"description": "<string>",
"summary_text": "<string>",
"service_name": "<string>",
"owners": [
{
"name": "<string>",
"type": "<string>",
"id": "<string>"
}
],
"extension": {},
"schema_definition": "<string>",
"deleted_at": "2023-11-07T05:31:56Z",
"is_dq_tagged": false,
"is_pii_tagged": false,
"is_sensitivity_tagged": false,
"tags": [
{
"tag_id": "<string>",
"tag_fqn": "<string>",
"category_name": "<string>",
"tag_name": "<string>",
"tag_description": "<string>"
}
],
"children": [
"<unknown>"
],
"children_total": 123,
"table_type": "<string>",
"row_count": 123,
"column_count": 123,
"table_count": 123,
"data_type": "<string>",
"data_type_display": "<string>",
"ordinal_position": 123,
"nullable": true,
"constraint": {},
"column_relationships": [
{}
],
"precision": 123,
"scale": 123,
"data_length": 123,
"business_definition": "<string>",
"business_rules": "<string>",
"change_description": {
"fields_added": [
{
"field_name": "<string>"
}
],
"fields_updated": [
{
"field_name": "<string>"
}
],
"fields_deleted": [
{
"field_name": "<string>"
}
],
"previous_version": "<string>"
},
"change_summary": {},
"changed_by": [
"<string>"
]
}
],
"errors": [
{
"fqn": "<string>",
"detail": "<string>"
}
]
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}metadata
Bulk get metadata by FQN
Retrieve multiple metadata entities by FQN. Always returns the latest version.
POST
/
utils
/
metadata
/
get
Bulk get metadata by FQN
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Body
application/json
Request body for bulk get metadata.
Required array length:
1 - 100 elementsShow child attributes
Show child attributes
Was this page helpful?
⌘I

